Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1229448

1. Proposed title of this feature request

Title: Configuring DHCP subnets in foreman does not update dhcpd.conf on server or proxy

3. What is the nature and description of the request?

Automating dhcpd.conf entries being added by foreman as new DHCP selected subnets are added to foreman

4. How would the customer like to achieve this? (List the functional requirements here)

When a new subnet is added to foreman and a capsule is chosen under the DHCP Capsule option, foreman should automatically

update /etc/dhcp/dhcpd.conf on that server or capsule to add the appropriate subnet entry, for example:

subnet 192.168.1.0 netmask 255.255.255.0 {

option subnet-mask 255.255.255.0;

  option routers 192.168.1.1;

}

Related issues:

Is duplicate of Foreman - Feature #9266: Manage DHCP server configured subnets New 02/06/2015

History

#1 - 07/19/2015 10:06 AM - Ohad Levy

- Description updated

adding here for discussion, tbh not sure if we should support this - opinions?

#2 - 07/19/2015 10:07 AM - Ohad Levy

- Subject changed from have Satellite 6 web ui edit dhcpd.conf automatically when adding a subnet to have Foreman web ui edit dhcpd.conf

automatically when adding a subnet

#3 - 07/20/2015 04:14 AM - Lukas Zapletal

Isn't this an overkill? We already have Import subnet so we need to tell the customers to use it this way. Also we can add a Verify subnets feature that

would compare all the subnets created in Foreman against DHCP. But this looks too complicated and unnecessary.

#4 - 07/20/2015 04:30 AM - Dominic Cleal

- Is duplicate of Feature #9266: Manage DHCP server configured subnets added

#5 - 07/20/2015 04:30 AM - Dominic Cleal

- Status changed from New to Duplicate

#9266
#6 - 07/20/2015 04:54 AM - Nux Ro

Lukas Zapletal wrote:

Isn't this an overkill? We already have Import subnet so we need to tell the customers to use it this way. Also we can add a Verify subnets

feature that would compare all the subnets created in Foreman against DHCP. But this looks too complicated and unnecessary.

 Hi, I'm using foreman 1.8.2 and I don't see this "import subnet" feature.

I'm currently running bash scripts that monitor the "subnets" MySQL table and when it changes the DHCPD subnet definitions are regenerated and

the daemon restarted.

Ugly, but it works and so far am happy with it, but not everyone might be comfortable doing this.

To me it looks like a big piece of functionality is missing from Foreman, what's the point of scripting and automation if I must edit dhcpd.conf every

time I add a new subnet in the UI?..

#7 - 07/20/2015 04:55 AM - Dominic Cleal

Nux Ro wrote:

Lukas Zapletal wrote:

Isn't this an overkill? We already have Import subnet so we need to tell the customers to use it this way. Also we can add a Verify subnets

feature that would compare all the subnets created in Foreman against DHCP. But this looks too complicated and unnecessary.

 Hi, I'm using foreman 1.8.2 and I don't see this "import subnet" feature.

 Under Infra > Smart proxies and it should be in the dropdown on the right of any DHCP enabled smart proxy.

#8 - 04/19/2016 12:46 AM - Dhaval Joshi

Hi, I'm using foreman 1.8.2 and I don't see this "import subnet" feature.

 Under Infra > Smart proxies and it should be in the dropdown on the right of any DHCP enabled smart proxy.

 This issue was raised specifically for katello/satellite, i dont find Infra > Smart proxies dropdown in katello or satellite. 
